
/*
    VPPP virtual PPP connection over TCP.

    Copyright (C) 1998  Maxim Krasnyansky <max@uznet.net>

    Idea is based on Sam Lantinga's PPPTCP package, but code was 
    completely written from the scratch.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. 
*/

/*
 * Version: 2.0 12/20/1998 Maxim Krasnyansky <max@uznet.net>
 */ 

/* Size of the buffer */
#define LINKFD_BUF_SIZE 2048

/* Priority of the proccess in the link_fd function */
#define LINKFD_PRIO -10

#ifdef __alpha__ 
#  define LINKFD_MAGIC 92
#  define LINKFD_FREQ 10000
#endif

#if defined(__i386__) || defined(__i486__) || defined(__i586__) 
#  define LINKFD_MAGIC 85
#  define LINKFD_FREQ 1000
#endif



